<?php

/**
 * Fonctions internes du plugin
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/config');
/**
 * Détecter si au moins un service est actif.
 *
 * @return boolean
 */

function tarteaucitron_actif() {
	$actif = false;
	$liste_services = lire_config('tarteaucitron/services', array());
	foreach ($liste_services as $value) {
		if (!empty($value)) {
			$actif = true;
		}
	}
	return $actif;
}

/**
 * Récupérer les js correspondants aux services activés
 *
 * @return boolean | string
 */

function tarteaucitron_liste_services_actifs($objet, $id_objet) {

	$services_actifs = array_filter(lire_config('tarteaucitron/services', array()));
	$ajouter_services = $objet = $id_objet = '';
	foreach ($services_actifs as $service => $value) {
		$ajouter_services .= recuperer_fond('services/'.$service, array('objet' => $objet, 'id_objet' => $id_objet));
	}

	return $ajouter_services;
}
